de.vc.jfo.attributes

## Class FontSupport

- java.lang.Object
- - de.vc.jfo.attributes.AttributeSubSet
  - - de.vc.jfo.attributes.FontSupport

- All Implemented Interfaces:
    java.lang.Cloneable

      public class FontSupport
      extends AttributeSubSet

  Formatting objects with font-properities has a font-support. You can set and get variuos properties of the used font.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FontSupport.FontStretch` The 'font-stretch' property selects a normal, condensed, or extended face from a font family.
    `static class` | `FontSupport.Style`
    `static class` | `FontSupport.Weight`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_FAMILY`
    `static java.lang.String` | `ATTR_SIZE`
    `static java.lang.String` | `ATTR_STRETCH`
    `static java.lang.String` | `ATTR_STYLE`
    `static java.lang.String` | `ATTR_WEIGHT`
    `static FontSupport.FontStretch` | `FONT_STRETCH_CONDENSED`
    `static FontSupport.FontStretch` | `FONT_STRETCH_EXPANDED`
    `static FontSupport.FontStretch` | `FONT_STRETCH_EXTRA_CONDENSED`
    `static FontSupport.FontStretch` | `FONT_STRETCH_EXTRA_EXPANDED`
    `static FontSupport.FontStretch` | `FONT_STRETCH_NORMAL`
    `static FontSupport.FontStretch` | `FONT_STRETCH_SEMI_CONDENSED`
    `static FontSupport.FontStretch` | `FONT_STRETCH_SEMI_EXPANDED`
    `static FontSupport.FontStretch` | `FONT_STRETCH_ULTRA_CONDENSED`
    `static FontSupport.FontStretch` | `FONT_STRETCH_ULTRA_EXPANDED`
    `static java.lang.String[]` | `KEY_SET`
    `static FontSupport.Style` | `STYLE_ITALIC`
    `static FontSupport.Style` | `STYLE_NORMAL`
    `static FontSupport.Style` | `STYLE_OBLIQUE`
    `static FontSupport.Weight` | `WEIGHT_BOLD`
    `static FontSupport.Weight` | `WEIGHT_BOLDER`
    `static FontSupport.Weight` | `WEIGHT_LIGHTER`
    `static FontSupport.Weight` | `WEIGHT_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontSupport()`
    `FontSupport(java.lang.String name)`
    `FontSupport(java.lang.String family, int size)`
    `FontSupport(java.lang.String family, int size, FontSupport.Weight weight)`
    `FontSupport(java.lang.String family, int size, FontSupport.Weight weight, FontSupport.Style style)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontSupport` | `cloned()`
    `java.lang.Object` | `getAttribute(int keyIdx)`
    `java.lang.String` | `getFamily()`
    `FontSupport.FontStretch` | `getFontStretch()`
    `Measure` | `getSize()`
    `FontSupport.Style` | `getStyle()`
    `FontSupport.Weight` | `getWeight()`
    `void` | `setFamily(java.lang.String family)`
    `void` | `setFontStretch(FontSupport.FontStretch stretch)`
    `void` | `setSize(double points)`
    `void` | `setSize(Measure size)`
    `void` | `setStyle(FontSupport.Style style)`
    `void` | `setWeight(FontSupport.Weight weight)`

    - ### Methods inherited from class de.vc.jfo.attributes.AttributeSubSet

      `addDefinedAttributes, applyAttributes, clone, isMutable, makeImmutable, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FONT_STRETCH_ULTRA_CONDENSED

          public static final FontSupport.FontStretch FONT_STRETCH_ULTRA_CONDENSED

    - #### FONT_STRETCH_EXTRA_CONDENSED

          public static final FontSupport.FontStretch FONT_STRETCH_EXTRA_CONDENSED

    - #### FONT_STRETCH_CONDENSED

          public static final FontSupport.FontStretch FONT_STRETCH_CONDENSED

    - #### FONT_STRETCH_SEMI_CONDENSED

          public static final FontSupport.FontStretch FONT_STRETCH_SEMI_CONDENSED

    - #### FONT_STRETCH_NORMAL

          public static final FontSupport.FontStretch FONT_STRETCH_NORMAL

    - #### FONT_STRETCH_SEMI_EXPANDED

          public static final FontSupport.FontStretch FONT_STRETCH_SEMI_EXPANDED

    - #### FONT_STRETCH_EXPANDED

          public static final FontSupport.FontStretch FONT_STRETCH_EXPANDED

    - #### FONT_STRETCH_EXTRA_EXPANDED

          public static final FontSupport.FontStretch FONT_STRETCH_EXTRA_EXPANDED

    - #### FONT_STRETCH_ULTRA_EXPANDED

          public static final FontSupport.FontStretch FONT_STRETCH_ULTRA_EXPANDED

    - #### STYLE_NORMAL

          public static final FontSupport.Style STYLE_NORMAL

    - #### STYLE_ITALIC

          public static final FontSupport.Style STYLE_ITALIC

    - #### STYLE_OBLIQUE

          public static final FontSupport.Style STYLE_OBLIQUE

    - #### WEIGHT_NORMAL

          public static final FontSupport.Weight WEIGHT_NORMAL

    - #### WEIGHT_BOLD

          public static final FontSupport.Weight WEIGHT_BOLD

    - #### WEIGHT_BOLDER

          public static final FontSupport.Weight WEIGHT_BOLDER

    - #### WEIGHT_LIGHTER

          public static final FontSupport.Weight WEIGHT_LIGHTER

    - #### ATTR_STYLE

          public static final java.lang.String ATTR_STYLE

      See Also:
        Constant Field Values

    - #### ATTR_WEIGHT

          public static final java.lang.String ATTR_WEIGHT

      See Also:
        Constant Field Values

    - #### ATTR_SIZE

          public static final java.lang.String ATTR_SIZE

      See Also:
        Constant Field Values

    - #### ATTR_FAMILY

          public static final java.lang.String ATTR_FAMILY

      See Also:
        Constant Field Values

    - #### ATTR_STRETCH

          public static final java.lang.String ATTR_STRETCH

      See Also:
        Constant Field Values

    - #### KEY_SET

          public static final java.lang.String[] KEY_SET

  - ### Constructor Detail

    - #### FontSupport

          public FontSupport()

    - #### FontSupport

          public FontSupport(java.lang.String name)

    - #### FontSupport

          public FontSupport(java.lang.String family,
                     int size)

    - #### FontSupport

          public FontSupport(java.lang.String family,
                     int size,
                     FontSupport.Weight weight)

    - #### FontSupport

          public FontSupport(java.lang.String family,
                     int size,
                     FontSupport.Weight weight,
                     FontSupport.Style style)

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

    - #### getSize

          public Measure getSize()

    - #### getStyle

          public FontSupport.Style getStyle()

    - #### getWeight

          public FontSupport.Weight getWeight()

    - #### setWeight

          public void setWeight(FontSupport.Weight weight)

    - #### setStyle

          public void setStyle(FontSupport.Style style)

    - #### setSize

          public void setSize(Measure size)

    - #### setFamily

          public void setFamily(java.lang.String family)

    - #### setSize

          public void setSize(double points)

    - #### setFontStretch

          public void setFontStretch(FontSupport.FontStretch stretch)

    - #### getFontStretch

          public FontSupport.FontStretch getFontStretch()

    - #### cloned

          public FontSupport cloned()

    - #### getAttribute

          public java.lang.Object getAttribute(int keyIdx)

      Specified by:
        `getAttribute` in class `AttributeSubSet`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.